﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>ShopKart | @ViewBag.Title</title>

    @Styles.Render("~/Content/css")

    <link href='https://fonts.googleapis.com/css?family=Lato' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Raleway' rel='stylesheet' type='text/css'>
    <script src="~/Content/js/jquery.min.js"></script>

    <!-- Ad intellisence for searching products-->

    <link href="~/Content/Intellisence/css/jquery-ui.min.css" rel="stylesheet" />
    <script src="~/Content/Intellisence/js/jquery-1.10.2.min.js"></script>
    <script src="~/Content/Intellisence/js/jquery-ui.min.js"></script>


    <script type="text/javascript">
        $(function () {
            $("#searchTxtBox").autocomplete({
                source: '@Url.Action("GetProducts","Product")'
            });
        });
    </script>

</head>
<body>
    <nav class="navbar navbar-default navbar-fixed-top navbar-shrink">
        <div class="container">
           
            <div class="navbar-header page-scroll">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand page-scroll" href="#page-top">Welcome&nbsp; @Session["username"]</a>
            </div>

           
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    <li><a href="@(Session["username"] != null ? Url.Action("Index", "Account") : Url.Action("Login", "Account"))">My Account</a></li>
                    <li class="hidden-xs">
                        <a href="@(Session["username"] != null ? Url.Action("Index", "WishList") : Url.Action("Login", "Account"))">
                            Wishlist @if (@ViewBag.WlItemsNo > 0)
                            {<text>(@ViewBag.WlItemsNo)</text>}
                        </a>
                    </li>
                    <li class="hidden-xs">
                        <a href="@(Session["username"] != null ? Url.Action("Index", "MyCart") : Url.Action("Login", "Account"))">
                            My Cart @if (@ViewBag.NoOfItem > 0)
                            {<text>(@ViewBag.NoOfItem)</text>}
                        </a>
                    </li>
                    <li class="hidden-xs"><a href="@(Session["username"] != null ? Url.Action("Index", "CheckOut") : Url.Action("Login", "Account"))">Checkout</a></li>
                    @if (Session["username"] == null)
                    {

                <li>@Html.ActionLink("Login", "Login", "Account")</li>
 }
            else
            {
                <li><a href="@Url.Action("Logout","Account")">Logout</a></li>
}
                </ul>
            </div>
           
        </div>
        
    </nav>

    <a class="scrollToTop" href="#"><i class="fa fa-chevron-up"></i></a>

    <header id="aa-header">
        <div class="aa-header-bottom">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="aa-header-bottom-area">
                            <br /><br />
                            <div class="aa-logo">

                                <a href="@Url.Action("Index","Home")">
                                    <span class="fa fa-shopping-cart"></span>
                                    <p>ShopKart</p>
                                </a>

                            </div>
                            <br />
                            <div class="aa-cartbox">
                                <a class="aa-cart-link" href="#">
                                    <span class="fa fa-shopping-basket"></span>
                                    <span class="aa-cart-title">SHOPPING CART</span>
                                    <span class="aa-cart-notify">@(ViewBag.NoOfItem==null ? 0 :ViewBag.NoOfItem)</span>
                                </a>
                                <div class="aa-cartbox-summary">
                                    <ul>
                                        @if (Session["username"] != null)
                                        {
                                            Html.RenderPartial("_CartBox");

                                        }
                                    </ul>
                                    <a class="aa-cartbox-checkout aa-primary-btn" href="@Url.Action("Index","CheckOut")">Checkout</a>
                                </div>
                            </div>

                            <div class="aa-search-box">
                                <form action="@Url.Action("Search","Product")" method="get">
                                    <input type="text" name="product" id="searchTxtBox" placeholder="Search product here . . . ">
                                    <button type="submit"><span class="fa fa-search"></span></button>
                                </form>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>

    </header>
    <!-- / header section -->
    <!-- menu -->

    @RenderBody()
    <!-- footer -->
    <footer id="aa-footer">

        <div class="aa-footer-top">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="aa-footer-top-area">
                            <div class="row">
                                <div class="col-md-3 col-sm-6">
                                    <div class="aa-footer-widget">
                                        <h3>Main Menu</h3>
                                        <ul class="aa-footer-nav">
                                            <li><a href="#">Home</a></li>
                                            <li><a href="#">Our Services</a></li>
                                            <li><a href="#">Our Products</a></li>
                                            <li><a href="#">About Us</a></li>
                                            <li><a href="#">Contact Us</a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="col-md-3 col-sm-6">
                                    <div class="aa-footer-widget">
                                        <div class="aa-footer-widget">
                                            <h3>Knowledge Base</h3>
                                            <ul class="aa-footer-nav">
                                                <li><a href="#">Delivery</a></li>
                                                <li><a href="#">Returns</a></li>
                                                <li><a href="#">Services</a></li>
                                                <li><a href="#">Discount</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3 col-sm-6">
                                    <div class="aa-footer-widget">
                                        <div class="aa-footer-widget">
                                            <h3>Useful Links</h3>
                                            <ul class="aa-footer-nav">
                                                <li><a href="#">Site Map</a></li>
                                                <li><a href="#">Search</a></li>
                                                <li><a href="#">Advanced Search</a></li>
                                                <li><a href="#">Suppliers</a></li>
                                                <li><a href="#">FAQ</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3 col-sm-6">
                                    <div class="aa-footer-widget">
                                        <div class="aa-footer-widget">
                                            <h3>Contact Us</h3>
                                            <address>
                                                <p>Sopra Steria Product</p>
                                                <p><span class="fa fa-phone"></span>1234567890</p>
                                                <p><span class="fa fa-envelope"></span>www.soprasteria.com</p>
                                            </address>
                                            <div class="aa-footer-social">
                                                <a href="#"><span class="fa fa-facebook"></span></a>
                                                <a href="#"><span class="fa fa-twitter"></span></a>
                                                <a href="#"><span class="fa fa-google-plus"></span></a>
                                                <a href="#"><span class="fa fa-youtube"></span></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- footer-bottom -->
        <div class="aa-footer-bottom">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <div class="aa-footer-bottom-area">
                            <p>Designed by Billi & Dhanu</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
    <!-- / footer -->

    @Scripts.Render("~/Content/js")
    @RenderSection("scripts", required: false)

    <script type="text/javascript">
        $(function () {
            $('a.page-scroll').bind('click', function (event) {
                var $anchor = $(this);
                $('html, body').stop().animate({
                    scrollTop: $($anchor.attr('href')).offset().top
                }, 1500, 'easeInOutExpo');
                event.preventDefault();
            });
        });

        // Highlight the top nav as scrolling occurs
        $('body').scrollspy({
            target: '.navbar-fixed-top'
        })

        // Closes the Responsive Menu on Menu Item Click
        $('.navbar-collapse ul li a').click(function () {
            $('.navbar-toggle:visible').click();
        });


        $(function () {
            $('body').on('click', '.modal-link', function (e) {
                e.preventDefault();
                $(this).attr('data-target', '#login-modal');
                $(this).attr('data-toggle', 'modal');
            });


            $('body').on('click', '.modal-close-btn', function () {
                $('#login-modal').modal('hide');
            });


            $('#login-modal').on('hidden.bs.modal', function () {
                $(this).removeData('bs.modal');
            });

            $('#CancelModal').on('click', function () {
                return false;
            });
        });
    </script>



</body>
</html>